#
# spec file for package python-comm
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-comm
Version:        0.1.4
Release:        1.1
Summary:        Jupyter Python Comm implementation
License:        BSD-3-Clause
URL:            https://github.com/ipython/comm
Source:         https://github.com/ipython/comm/archive/refs/tags/v%{version}.tar.gz#/comm-%{version}-gh.tar.gz
BuildRequires:  %{python_module base >= 3.6}
BuildRequires:  %{python_module hatchling >= 1.10}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module traitlets >= 4}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-traitlets >= 4
BuildArch:      noarch
%python_subpackages

%description
Comm provides a way to register a Kernel Comm implementation,
as per the Jupyter kernel protocol. It also provides a base
Comm implementation and a default CommManager that can be used.

%prep
%setup -q -n comm-%{version}
sed -i -e 's/--color=yes//' pyproject.toml

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/comm
%{python_sitelib}/comm-%{version}*-info

%changelog
* Sat Aug  5 2023 Arun Persaud <arun@gmx.de>
- specfile:
  * lowered traitlets dependency to >=4
- update to version 0.1.4:
  * Improvements
    + Loosen dependency on traitlet so it is available in python 3.6
    [#16] (@vincent-grosbois)
* Tue Apr  4 2023 Ben Greiner <code@bnavigator.de>
- Update to 0.1.3
  * feat: provide a default implementation #13 (@maartenbreddels)
* Sun Dec 25 2022 Ben Greiner <code@bnavigator.de>
- Initial specfile for v0.1.2
- Required by updated ipykernel
